grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.21-66-g6eca7d8


From: Paul Eggert
Subject: grep branch, master, updated. v2.21-66-g6eca7d8
Date: Mon, 12 Oct 2015 04:28:42 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  6eca7d893861c19878ee006e0d5cf9e6e4b3c9b1 (commit)
      from  4f898f22f497d6296c864d17acf9b277761b4ab4 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=6eca7d893861c19878ee006e0d5cf9e6e4b3c9b1


commit 6eca7d893861c19878ee006e0d5cf9e6e4b3c9b1
Author: Paul Eggert <address@hidden>
Date:   Sun Oct 11 21:27:50 2015 -0700

    tests: add test case for Bug#21670
    
    * tests/options: Add test #4 to catch Bug#21670.
    Also, do not overescape # in shell strings.

diff --git a/tests/options b/tests/options
index f2c7126..249e20c 100755
--- a/tests/options
+++ b/tests/options
@@ -20,21 +20,29 @@ fail=0
 # checking for -E extended regex
 echo "abababccccccd" | grep -E -e 'c{3}' > /dev/null 2>&1
 if test $? -ne 0 ; then
-        echo "Options: Wrong status code, test \#1 failed"
+        echo "Options: Wrong status code, test #1 failed"
         fail=1
 fi
 
 # checking for basic regex
 echo "abababccccccd" | grep -G -e 'c\{3\}' > /dev/null 2>&1
 if test $? -ne 0 ; then
-        echo "Options: Wrong status code, test \#2 failed"
+        echo "Options: Wrong status code, test #2 failed"
         fail=1
 fi
 
 # checking for fixed string
 echo "abababccccccd" | grep -F -e 'c\{3\}' > /dev/null 2>&1
 if test $? -ne 1 ; then
-        echo "Options: Wrong status code, test \#3 failed"
+        echo "Options: Wrong status code, test #3 failed"
+        fail=1
+fi
+
+# checking for multiple -e options; see:
+# http://bugs.gnu.org/21670
+echo abchelloabc | grep -e '^hello' -e 'hello$' > /dev/null 2>&1
+if test $? -ne 1 ; then
+        echo "Options: Wrong status code, test #4 failed"
         fail=1
 fi
 

-----------------------------------------------------------------------

Summary of changes:
 tests/options |   14 +++++++++++---
 1 files changed, 11 insertions(+), 3 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]